---
title: "1.20.0 - Updates to gRPC and Simple Game Server Example"
linkTitle: "1.20.0"
date: "2022-01-14"
---


This is the 1.20.0 release of Agones.

This release brings us the simple game server version 0.6 and grpc client and server on same version

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.20.0">README</a> for details on features, installation and usage.

**Security fixes:**

- Upgrade terraform test dependencies. [\#2425](https://github.com/googleforgames/agones/pull/2425) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Update the simple game server to move itself back to the Ready state after allocation [\#2409](https://github.com/googleforgames/agones/pull/2409) ([roberthbailey](https://github.com/roberthbailey))
- Add a flag to simple-game-server to shutdown after a specified number of seconds [\#2407](https://github.com/googleforgames/agones/pull/2407) ([roberthbailey](https://github.com/roberthbailey))


See <a href="https://github.com/googleforgames/agones/blob/release-1.20.0/CHANGELOG.md">CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.20.0](https://gcr.io/agones-images/agones-controller:1.20.0)
- [gcr.io/agones-images/agones-sdk:1.20.0](https://gcr.io/agones-images/agones-sdk:1.20.0)
- [gcr.io/agones-images/agones-ping:1.20.0](https://gcr.io/agones-images/agones-ping:1.20.0)
- [gcr.io/agones-images/agones-allocator:1.20.0](https://gcr.io/agones-images/agones-allocator:1.20.0)
- [gcr.io/agones-images/autoscaler-webhook:0.4](https://gcr.io/agones-images/autoscaler-webhook:0.4)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.6](https://gcr.io/agones-images/crd-client:0.6)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.9](https://gcr.io/agones-images/rust-simple-server:0.9)
- [gcr.io/agones-images/simple-game-server:0.6](https://gcr.io/agones-images/simple-game-server:0.6)
- [gcr.io/agones-images/supertuxkart-example:0.4](https://gcr.io/agones-images/supertuxkart-example:0.4)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.20.0.tgz">
  <code>helm install agones agones/agones --version 1.20.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`