---
title: "1.8.0 - Release Candidate"
linkTitle: "1.8.0-rc"
date: "2020-08-11"
---

This is the 1.8.0-rc release of Agones.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.8.0-rc" >README</a> for details on features, installation and usage.

Lots of changes to SDKs in this release, including a replacement Unreal SDK. 

The previous Unreal SDK will continue to work, but we recommend users upgrade to this latest version, as it has far
more functionality.

We also see more SDKs supporting the alpha Player Tracking functionality as well.

**Breaking changes:**

- \[Discussion\] Assimilate netspeakgames/UnrealAgonesSDK [\#1683](https://github.com/googleforgames/agones/issues/1683)
- move Netspeak Unreal SDK into Agones Unreal SDK [\#1739](https://github.com/googleforgames/agones/pull/1739) ([domgreen](https://github.com/domgreen))

**Security fixes:**

- Bump lodash from 4.17.15 to 4.17.19 to fix a security vulnerability. [\#1707](https://github.com/googleforgames/agones/pull/1707) ([roberthbailey](https://github.com/roberthbailey))

**Implemented enhancements:**

- Support for async/await syntax in Rust SDK [\#1732](https://github.com/googleforgames/agones/issues/1732)
- Add firewall name variable to GKE Terraform [\#1741](https://github.com/googleforgames/agones/pull/1741) ([markmandel](https://github.com/markmandel))
- Add Rust SDK async/await syntax support and minor improvements [\#1733](https://github.com/googleforgames/agones/pull/1733) ([yoshd](https://github.com/yoshd))
- Add extra troubleshooting steps. [\#1721](https://github.com/googleforgames/agones/pull/1721) ([markmandel](https://github.com/markmandel))
- Supports Rust Alpha SDK [\#1717](https://github.com/googleforgames/agones/pull/1717) ([yoshd](https://github.com/yoshd))
- Supports C\# Alpha SDK [\#1705](https://github.com/googleforgames/agones/pull/1705) ([yoshd](https://github.com/yoshd))
- Added allocator-client.default secret. [\#1702](https://github.com/googleforgames/agones/pull/1702) ([devloop0](https://github.com/devloop0))
- Add Custom VPC support to Terraform GKE Module [\#1695](https://github.com/googleforgames/agones/pull/1695) ([moesy](https://github.com/moesy))
- add gameserver values as configurable in helm terraform modules [\#1693](https://github.com/googleforgames/agones/pull/1693) ([comerford](https://github.com/comerford))
- Adding Fairwinds agones-allocator-client to third-party tools [\#1684](https://github.com/googleforgames/agones/pull/1684) ([sudermanjr](https://github.com/sudermanjr))
- Added new gen-install-alpha command [\#1673](https://github.com/googleforgames/agones/pull/1673) ([akremsa](https://github.com/akremsa))
- Alpha SDK and example for Node.js \(Player tracking\) [\#1658](https://github.com/googleforgames/agones/pull/1658) ([steven-supersolid](https://github.com/steven-supersolid))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.8.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.8.0-rc](https://gcr.io/agones-images/agones-controller:1.8.0-rc)
- [gcr.io/agones-images/agones-sdk:1.8.0-rc](https://gcr.io/agones-images/agones-sdk:1.8.0-rc)
- [gcr.io/agones-images/agones-ping:1.8.0-rc](https://gcr.io/agones-images/agones-ping:1.8.0-rc)
- [gcr.io/agones-images/agones-allocator:1.8.0-rc](https://gcr.io/agones-images/agones-allocator:1.8.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.8](https://gcr.io/agones-images/rust-simple-server:0.8)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.21](https://gcr.io/agones-images/udp-server:0.21)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)
- [gcr.io/agones-images/supertuxkart-example:0.2](https://gcr.io/agones-images/supertuxkart-example:0.2)
- [gcr.io/agones-images/crd-client:0.3](https://gcr.io/agones-images/crd-client:0.3)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.8.0-rc.tgz" >
  <code>helm install agones/agones --version 1.8.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
